haroonga: Low level bindings for Groonga.

[ ffi, lgpl, library ] [ Propose Tags ]
Dependencies base (>=4.5 && <5), bindings‑DSL (>=1.0 && <1.2), monad‑control (==1.0.*), resourcet (>=0.4), transformers (>=0.3 && <0.5) [details]
License LGPL-2.1-only
Author cosmo0920
Maintainer cosmo0920.wp@gmail.com
Category FFI
Source repo head: git clone git://github.com/haroonga/haroonga.git
Uploaded by cosmo0920 at Fri Apr 3 11:58:12 UTC 2015
Distributions NixOS:
Downloads 2813 total (24 in the last 30 days)
Rating (no votes yet) [estimated by rule of succession]
Your Rating
  • λ
  • λ
  • λ
Status Docs uploaded by user [build log]
All reported builds failed as of 2015-04-03 [all 1 reports]
Hackage Matrix CI

Bindings to Groonga http://groonga.org/.

[Skip to Readme]




Maintainer's Corner

For package maintainers and hackage trustees

Readme for haroonga-

[back to package description]


Build Status

Low level Haskell binding for Groonga.


  • Groonga 4.1.1+
  • hsc2hs
  • and some cabal packages (see: haroonga.cabal)

export module(s)

  • Bindings.Groonga
  • Bindings.Groonga.Raw
  • Bindings.Groonga.Raw.Plugin
  • Bindings.Groonga.Raw.Tokenizer
  • Bindings.Groonga.CommandAPI
  • Bindings.Groonga.Types

How to install

Install Groonga. For example, if you use Ubuntu Linux, see: http://groonga.org/docs/install/ubuntu.html#lts-precise-pangolin

And then,

$ cabal install haroonga

Support Platform

  • Currently, Haroonga supports platform which has pkg-config command only.
    • Linux
    • Mac OSX

Windows installation (for advanced users) experimental

  • Install Groonga windows binary (e.g. C:\groonga)

  • And type following command:

    cabal install --extra-include-dirs='C:\groonga\include\groonga' --extra-lib-dirs='C:\groonga\lib'